Skip to main content
GET
List devices

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

allocation_id
string<uuid>[]

Multiple values may be separated by commas.

annotation_eq
object

Filter by annotation key=value pairs (AND semantics). Use annotation_eq[key]=value.

annotation_has
string

Filter by annotation key existence (comma-separated, AND semantics).

chad_ignore
boolean
current_instance_uuid
string
current_tenant_id
string<uuid>[]

Multiple values may be separated by commas.

customer_ready
boolean
device_class
enum<string>[]

Multiple values may be separated by commas.

Available options:
cpu_baremetal,
cpu_hypervisor,
gpu_compute,
switch
device_group_id
string<uuid>[]

Multiple values may be separated by commas.

device_type_id
string<uuid>[]

Multiple values may be separated by commas.

health_status
enum<string>[]

Multiple values may be separated by commas.

Available options:
critical,
degraded,
healthy,
unknown
in_triage
boolean
infrastructure_ref
string
infrastructure_ref__startswith
string
inventory_only
boolean
inventory_status
enum<string>[]

Multiple values may be separated by commas.

Available options:
active,
decommissioned,
decommissioning,
failed,
inventory,
offline,
planned,
returned,
rma,
staged,
unknown
ironic_provision_state
enum<string>[]

Multiple values may be separated by commas.

Available options:
active,
adopt failed,
adopting,
available,
clean failed,
clean hold,
clean wait,
cleaning,
deleted,
deleting,
deploy complete,
deploy failed,
deploy hold,
deploying,
enroll,
error,
inspect failed,
inspect wait,
inspecting,
manageable,
rebuild,
rescue,
rescue failed,
rescue wait,
rescuing,
service,
service failed,
service hold,
service wait,
servicing,
unknown,
unrescue failed,
unrescuing,
verifying,
wait call-back
job_id
string<uuid>[]

Multiple values may be separated by commas.

limit
integer

Number of results to return per page.

Required range: 1 <= x <= 500
location_id
string<uuid>[]

Multiple values may be separated by commas.

name
string
name_exact
string
netbox_id
integer
operational_status
enum<string>[]

Multiple values may be separated by commas.

Available options:
available,
delegated,
drained,
failed,
in_use,
pending_handover,
quarantine,
unknown,
validation
ordering
enum<string>[]

Which field to use when ordering the results.

Available options:
name,
-name,
created_at,
-created_at,
updated_at,
-updated_at
page
integer

A page number within the paginated result set.

rack_id
string<uuid>[]

Multiple values may be separated by commas.

role_id
string<uuid>[]

Multiple values may be separated by commas.

serial_number
string
site_id
string<uuid>[]

Multiple values may be separated by commas.

slurm_states
enum<string>[]

SLURM node states. A device matches when its own state list contains any of these. Multiple values may be separated by commas.

Available options:
ALLOCATED,
BLOCKED,
CLOUD,
COMPLETING,
DOWN,
DRAIN,
DYNAMIC_FUTURE,
DYNAMIC_NORM,
ERROR,
FAIL,
FUTURE,
IDLE,
INVALID_REG,
MAINTENANCE,
MIXED,
NOT_RESPONDING,
PLANNED,
POWERED_DOWN,
POWERING_DOWN,
POWERING_UP,
POWER_DOWN,
POWER_DRAIN,
POWER_UP,
REBOOT_CANCELED,
REBOOT_ISSUED,
REBOOT_REQUESTED,
RESERVED,
RESUME,
UNDRAIN,
UNKNOWN
tag
string

Filter by tags (comma-separated, OR semantics).

topology_group_id
string<uuid>[]

Multiple values may be separated by commas.

topology_group_id_strict
string<uuid>[]

Multiple values may be separated by commas.

Response

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"